summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2018-04-23 18:11:22 +0200
committerPatrice Clement <monsieurp@gentoo.org>2018-04-25 09:21:23 +0200
commit0037345d4b7071d5b8832ffe89fa8d97c915bac4 (patch)
treee40583918d57dfefae98c4070eabf2a0305f5235 /dev-java
parentdev-perl/Cache-FastMmap: Bump to version 1.470.0 (diff)
downloadgentoo-0037345d4b7071d5b8832ffe89fa8d97c915bac4.tar.gz
gentoo-0037345d4b7071d5b8832ffe89fa8d97c915bac4.tar.bz2
gentoo-0037345d4b7071d5b8832ffe89fa8d97c915bac4.zip
dev-java/json-simple: EAPI 6 bump.
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/json-simple/Manifest1
-rw-r--r--dev-java/json-simple/json-simple-1.1-r1.ebuild30
2 files changed, 31 insertions, 0 deletions
diff --git a/dev-java/json-simple/Manifest b/dev-java/json-simple/Manifest
index 38277ec68fd..69caaa7038e 100644
--- a/dev-java/json-simple/Manifest
+++ b/dev-java/json-simple/Manifest
@@ -1 +1,2 @@
+DIST json-simple-1.1.tar.gz 22154 BLAKE2B 594717df45d56b4e70cee9aadca661a9da7e19c2a77e5ab2176396c48bdf061f25db0e4cbf5b93b12dc862dfca593a71dcd154f24c914a4d2ff510e3f4b11570 SHA512 f09cb298254a8f35b534670d6a1801eeaf58385529f459f413aed556df1ac577bea6e678a32065077abc851dc310b3af38b818f1737bd255f05e756d7e2da066
DIST json_simple-1.1-all.zip 44814 BLAKE2B 09a1bf3213c6724d167a514c47e9a4084c217687633f075d0a1019be253d3b37e1a26c7e291570f73a5942c5d7e586d4a8ce78e938e755cb3d8150f82dd0306d SHA512 02a5300456dbe2a1b5331b247ad964237d11d2281b35351f1f7bed6867eaf5bb6fb07ca1a50f87e30cd93221c5119e8b5f6f273357ab5fcfeda164ec119c0404
diff --git a/dev-java/json-simple/json-simple-1.1-r1.ebuild b/dev-java/json-simple/json-simple-1.1-r1.ebuild
new file mode 100644
index 00000000000..bc80ab3d7c3
--- /dev/null
+++ b/dev-java/json-simple/json-simple-1.1-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+JAVA_PKG_IUSE="source doc"
+
+inherit java-pkg-2 java-pkg-simple
+
+MY_P="tag_release_1_1_1"
+
+DESCRIPTION="Simple Java toolkit for JSON"
+HOMEPAGE="http://www.json.org"
+SRC_URI="https://github.com/fangyidong/json-simple/archive/${MY_P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+DEPEND=">=virtual/jdk-1.6"
+RDEPEND=">=virtual/jre-1.6"
+
+S="${WORKDIR}/${PN}-${MY_P}"
+
+JAVA_SRC_DIR="src/main"
+
+src_prepare() {
+ default
+ rm -rv src/test || die
+}